@extends('templates.top')

@section('content')
    <div class="row">
        <div class="col-md-12">
            <a class="btn btn-danger" href="{{ url('divisions') }}"><i class="fa fa-reply"></i> Kembali</a>
            <div class="card" style="margin-top: 20px;">
                <div class="card-header"><a href="{{ URL::to('divisions/create') }}" class="btn btn-primary"><i class="fa fa-plus"></i> Tambah</a></div>

                <div class="card-body">
                    @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                    
                    {{ Form::model($division, array('route' => array('divisions.update', $division->id), 'method' => 'PUT')) }}

                        <div class="form-group">
                            {{ Form::label('name', 'Name') }}
                            {{ Form::text('name', Input::old('name'), array('class' => 'form-control')) }}
                        </div>

                        {{ Form::submit('Simpan!', array('class' => 'btn btn-primary')) }}

                    {{ Form::close() }}

                </div>
            </div>
        </div>
    </div>
@endsection