@extends('templates.top')

@section('content')
<div class="row">
    <!-- column -->
    <div class="col-lg-12">
        <div class="card">
            <div class="card-body">
                <div class="d-flex no-block align-items-center">
                    <h4 class="card-title">Grafik Pergerakan Stok Mingguan</h4>
                    <div class="ml-auto">
                        <ul class="list-inline text-right">
                            <li>
                                <h5 class="m-b-0"><i class="ti ti-control-record m-r-5 text-danger"></i>Stok Masuk (Stockin)</h5>
                            </li>
                            <li>
                                <h5 class="m-b-0"><i class="ti ti-control-record m-r-5 text-info"></i>Stok Keluar (Stockout)</h5>
                            </li>
                            <li>
                                <h5 class="m-b-0"><i class="ti ti-control-record m-r-5 text-inverse"></i>Stok Susut / Rusak (Stockshrink)</h5>
                            </li>
                            
                        </ul>
                    </div>
                </div>
                <div id="morris-area-chart"></div>
            </div>
        </div>
    </div>
</div>
@push('morris-script')
    <script>
        $(function () {
            "use strict";
            var stockMovement = @php echo $stockMovement; @endphp;
            Morris.Area({
                element: 'morris-area-chart',
                data: stockMovement,
                xkey: 'period',
                ykeys: ['stockin', 'stockout', 'stockshrink'],
                labels: ['stockin', 'stockout', 'stockshrink'],
                parseTime: false,
                pointSize: 3,
                fillOpacity: 0,
                pointStrokeColors:['#d9534f', '#009efb', '#2f3d4a'],
                behaveLikeLine: true,
                gridLineColor: '#e0e0e0',
                lineWidth: 3,
                hideHover: 'auto',
                lineColors: ['#d9534f', '#009efb', '#2f3d4a'],
                resize: true
                
            });
        });
    </script>
@endpush

@push('deferredprompt')
    <script>
        $(function() {
            if (defferedPrompt) {
                defferedPrompt.prompt();
                defferedPrompt = null;
            }
        });
    </script>
@endpush
@endsection