@extends('templates.top')

@section('content')
    <div class="row">
        <div class="col-md-12">
            <a class="btn btn-danger" href="{{ url('products') }}"><i class="fa fa-reply"></i> Kembali</a>
            <div class="card" style="margin-top: 20px;">
                <div class="card-header"><a href="{{ URL::to('products/create') }}" class="btn btn-primary"><i class="fa fa-plus"></i> Tambah</a></div>

                <div class="card-body">
                    @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                    
                    {{ Form::model($product, array('route' => array('products.update', $product->id), 'method' => 'PUT', 'files' => true)) }}

                        <div class="form-group">
                            {{ Form::label('name', 'Nama Produk') }}
                            {{ Form::text('name', Input::old('name'), array('class' => 'form-control')) }}
                        </div>

                        <div class="form-group">
                            {{ Form::label('category', 'Kategori') }}
                            {{ Form::select('category', $catArr, $product->category_id, array('class' => 'form-control')) }}
                        </div>

                        <div class="form-group">
                            {{ Form::label('unit', 'Satuan') }}
                            {{ Form::text('unit', Input::old('unit'), array('class' => 'form-control')) }}
                        </div>

                        <div class="form-group">
                            {{ Form::label('status', 'Status') }}
                            {{ Form::select('status', array('1' => 'Aktif', '0' => 'Non-Aktif'), null, array('class' => 'form-control')) }}
                        </div>

                        <div class="form-group">
                            {{ Form::label('image', 'Gambar') }}
                            {{ Form::file('image') }}
                        </div>

                        {{ Form::submit('Simpan!', array('class' => 'btn btn-primary')) }}

                    {{ Form::close() }}

                </div>
            </div>
        </div>
    </div>
@endsection