@extends('templates.top')

@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header"><a href="{{ URL::to('products/create') }}" class="btn btn-primary"><i class="fa fa-plus"></i> Tambah</a></div>

                <div class="card-body">
                    @if (Session::has('status'))
                        <div class="alert alert-success">
                            {{ Session::get('status') }}
                        </div>
                    @endif
                    
                    <table id="productTable" class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Nama</th>
                                <th>Satuan</th>
                                <th>Kategori</th>
                                <th>Status</th>
                                <th>Aksi</th>
                            </tr>
                        </thead>

                        <tbody>
                            @foreach($products as $key => $val)
                            <tr>
                                <td>{{ $no[$val->id] }}</td>
                                <td>{{ $val->name }}</td>
                                <td>{{ $val->unit }}</td>
                                <td>{{ $val->category->name }}</td>
                                <td>
                                    @if($val->status == 1)
                                        Aktif
                                    @else
                                        Non-aktif
                                    @endif
                                </td>
                                <td>

                                    {{ Form::open(array('url' => "products/$val->id", 'method' => 'delete')) }}

                                        <a class="btn btn-small btn-success" href="{{ URL::to('products/' . $val->id) }}">Lihat</a>
                                        <a class="btn btn-small btn-info" href="{{ URL::to('products/' . $val->id . '/edit') }}">Ubah</a>
                                        {{ Form::submit('Hapus', array('class' => 'btn btn-small btn-danger')) }}

                                    {{ Form::close() }}
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <script>

    $( document ).ready(function() {
        $("form").submit(function(e){
            var form = this;

            e.preventDefault(); // <--- prevent form from submitting

            swal({
                title: "Anda yakin?",   
                text: "Anda tidak bisa mengembalikan data yang dihapus!",   
                type: "warning",   
                showCancelButton: true,   
                confirmButtonColor: "#DD6B55",   
                confirmButtonText: "Ya, hapus!",   
                cancelButtonText: "Batal",
                closeOnConfirm: false
            }, function(isConfirm){
                if (isConfirm) {
                    swal({
                    title: 'Berhasil!',
                    type: "success",
                    text: 'Produk telah dihapus!',
                    icon: 'success'
                    }, function() {
                        form.submit();
                    });
                } else {
                    swal("Dibatalkan", "Anda telah membatalkan penghapusan", "error");
                }
            });
        });

        $('#productTable').DataTable({
            "aaSorting"     : []
        });
    });

    </script>
@endsection
