@extends('templates.top')

@section('content')

<div class="container">
    <a class="btn btn-danger" href="{{ url('roles') }}"><i class="fa fa-reply"></i> Kembali</a>
    <div class="card" style="margin-top: 20px;">
        <div class="card-header"> {{ $title }} </div>
        <div class="card-body">
            <input type="hidden" name="roleID" id="roleID" value="{{ $roleID }}">
                <table id="permissionAssignTable" class="table table-striped">
                    <thead>
                            <td>#</td>
                            <td>Nama</td>
                            <td>Deskripsi</td>
                            <td></td>
                    </thead>
                    <tbody>
                        @foreach($permissions as $permission)
                        <tr>
                            <td>{{ $no[$permission->id] }}</td>
                            <td>{{ $permission->display_name }}</td>
                            <td>{{ $permission->description }}</td>
                            <td>
                                <div class="switch">
                                    <label>
                                        Off
                                        <input id="{{ $permission->id }}" onchange="switchAct(this)" type="checkbox" {{$checkPerm[$permission->id]}}>
                                        <span class="lever"></span>
                                        On
                                    </label>
                                </div>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
        </div>
    </div>
</div>

<script>
    $(document).ready(function() {
        $('#permissionAssignTable').DataTable({
            "aaSorting"     : []
        });
    });

    function switchAct(cbx) {
        roleID = $('#roleID').val();
        permissionID = cbx.id;
        if (cbx.checked) {
            addPermission(roleID, permissionID);
        } else {
            delPermission(roleID, permissionID);
        }
    }

    function addPermission(roleID, permissionID) {
        $.ajax({
            url : "<?php echo url('roles/addPermission')?>"+'/'+roleID+'/'+permissionID,
            type: "POST",
            data: {
                "_token": "{{ csrf_token() }}"
            },
            dataType: "json",
            success: function(json)
            {
                if (json.st === 0) {
                    toastr_gagal('Gagal!', json.msg);
                } else {
                    $('#msg-container').html('');
                    toastr_success('Sukses!', json.msg);
                }
            },
            error: function (jqXHR, textStatus, errorThrown)
            {
                alert('Error adding / update data');
            }
        });
    }

    function delPermission(roleID, permissionID) {
        $.ajax({
            url : "<?php echo url('roles/delPermission')?>"+'/'+roleID+'/'+permissionID,
            type: "DELETE",
            data: {
                "_token": "{{ csrf_token() }}"
            },
            dataType: "json",
            success: function(json)
            {
                if (json.st === 0) {
                    toastr_gagal('Gagal!', json.msg);
                } else {
                    $('#msg-container').html('');
                    toastr_success('Sukses!', json.msg);
                }
            },
            error: function (jqXHR, textStatus, errorThrown)
            {
                alert('Error adding / update data');
            }
        });
    }
</script>
@endsection