@extends('templates.top')

@section('content')
<!-- Row -->
<div class="row">
        <div class="col-lg-12">
             <a href="{{ url('stockshops') }}" style="margin-bottom: 20px;" class="btn btn-danger"><i class="fa fa-reply"></i> Kembali</a>
            <div class="card card-outline-info">
                <div class="card-header text-white"><strong>{{ date('l, d-m-Y', strtotime($stockshop->used_date)) }}</strong></div>
                <div class="card-body">
                    <form id="addForm" action="">
                        @csrf
                        <input type="hidden" name="stockshop_id" value="{{ $stockshop_id }}">
                        <h4 class="card-title">Pilih Produk</h4>
                        <h6 class="card-subtitle">Tentukan produk dan Qty belanja</h6>
                            <table id="dynamic_field" class="table color-table info-table myTable text-center">
                                <thead>
                                    <tr>
                                        <th>Produk</th>
                                        <th>Qty</th>
                                        <th>Harga Satuan</th>
                                        <th>Supplier</th>
                                        <th>Bayar</th>
                                        <th>Aksi</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @php $row = 1; @endphp
                                    @if($stockshop->products->count() == 0)
                                        <tr id="row1">
                                            <td width="35%">
                                                <select style="width: 100%;" onchange="get_suppliers(1)" name="item[1]" class="select2 item_dropdown" id="item1" data-row="1">
                                                    <option value="">-- Pilih Produk --</option>
                                                    @foreach($categories as $category)
                                                        <optgroup label="{{ $category->name }}">
                                                        @foreach($category->products as $product)
                                                            <option value="{{ $product->id }}">{{ $product->name }} - [ {{ $product->unit }} ]</option>
                                                        @endforeach
                                                        </optgroup>
                                                    @endforeach
                                                </select>
                                            </td>
                                            <td width="15%">
                                                <input name="qty[1]" id="qty1" type="tel" class="qty1 form-control">
                                            </td>
                                            <td width="15%">
                                                <input name="price[1]" id="price1" type="tel" class="price1 form-control">
                                            </td>
                                            <td width="20%">
                                                <select style="width: 100%;" class="select2 supplier_dropdown" name="supplier[1]" id="supplier1"></select>
                                            </td>
                                            <td>
                                                <select class="form-control" name="method[1]" id="method1">
                                                    <option value="cash">Tunai</option>
                                                    <option value="credit">Kredit</option>
                                                </select>
                                            </td>
                                            <td>
                                                <!--<button id="1" name="remove" class="btn btn-sm btn-danger btn_remove">X</button>-->
                                            </td>
                                        </tr>
                                    @else
                                        @foreach($stockshop->products as $prod)
                                            <tr id="row{{ $row }}">
                                                <td width="35%">
                                                    <select style="width: 100%;" onchange="get_suppliers({{$row}})" name="item[{{$row}}]" class="select2 item_dropdown" id="item{{$row}}" data-row="1">
                                                        @foreach($categories as $category)
                                                            <optgroup label="{{ $category->name }}">
                                                            @foreach($category->products as $product)
                                                                <option value="{{ $product->id }}" @if($prod->id == $product->id) selected @endif>
                                                                    {{ $product->name }} - [ {{ $product->unit }} ]
                                                                </option>
                                                            @endforeach
                                                            </optgroup>
                                                        @endforeach
                                                    </select>
                                                </td>
                                                <td width="15%">
                                                    <input value="{{$qtyProducts[$row]}}" name="qty[{{$row}}]" id="qty{{$row}}" type="tel" class="qty{{$row}} form-control">
                                                </td>
                                                <td width="15%">
                                                    <input value="{{$prices[$row]}}" name="price[{{$row}}]" id="price{{$row}}" type="tel" class="price{{$row}} form-control">
                                                </td>
                                                <td width="20%">
                                                    <select style="width: 100%;" class="select2 supplier_dropdown" name="supplier[{{$row}}]" id="supplier{{$row}}">
                                                        @if(!empty($prod->suppliers))
                                                            @if($supplier_id[$row] == 0)
                                                                <option value="0">-</option>
                                                            @endif
                                                            @foreach($prod->suppliers as $key => $val)    
                                                               <option value="{{ $val->id }}" @if($val->id == $supplier_id[$row]) selected @endif>
                                                                    {{ $val->name }}
                                                                </option>
                                                            @endforeach
                                                        @endif
                                                    </select>
                                                </td>
                                                <td>
                                                    <select class="form-control" name="method[{{$row}}]" id="method{{$row}}">
                                                        <option value="cash" @if($method[$row] == 'cash') selected @endif>Tunai</option>
                                                        <option value="credit" @if($method[$row] == 'credit') selected @endif>Kredit</option>
                                                    </select>
                                                </td>
                                                <td>
                                                    <button id="1" name="remove" class="btn btn-sm btn-danger btn_remove">X</button>
                                                </td>
                                            </tr>
                                            @php $row++; @endphp
                                        @endforeach
                                    @endif
                                </tbody>
                            </table>
                    </form>
                    <div class="text-right"><button id="add" class="btn btn-info align-right"><i class="fa fa-plus"></i> Tambah</button></div>
                    <button onclick="save()" style="margin-top: 20px;" class="btn btn-primary btn-block">Simpan</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->

@if($row > 1)
<script>
    var i = "<?php echo $row ?>";
</script>
@else
<script>
    var i = 1;
</script>
@endif

<script>
    $( document ).ready(function() {
        $('#add').click(function(){
           i++;
           $('#dynamic_field').append('<tr id="row'+i+'"><td width="35%"><select name="item['+i+']" id="item'+i+'" onchange="get_suppliers('+i+')" class="select2'+i+' item_dropdown" data-row="'+i+'" style="width:100%"><?php foreach ($categories as $category): ?><optgroup label="<?php echo $category->name; ?>"><option value="">-- Pilih Produk --</option><?php foreach ($category->products as $product): ?><option value="<?php echo $product->id; ?>"><?php echo "$product->name"; ?> - [<?php echo "$product->unit"; ?>]</option><?php endforeach ?></optgroup><?php endforeach ?></select></td><td width="15%"><input type="tel" name="qty['+i+']" class="qty'+i+' form-control" id="qty'+i+'" /></td><td width="15%"><input name="price['+i+']" id="price'+i+'" type="tel" class="price'+i+' form-control"></td><td width"25%"><select style="width: 100%;" class="select2'+i+' supplier_dropdown" name="supplier['+i+']" id="supplier'+i+'"></select></td><td><select class="form-control" name="method['+i+']" id="method'+i+'"><option value="cash">Tunai</option><option value="credit">Kredit</option></select></td><td><button type="button" name="remove" id="'+i+'"  onclick="remove('+i+')" class="btn btn-sm btn-danger btn_remove">X</button></td><tr>');

           $(".select2"+i).select2();
      });
    });

    function remove(row) {
        $('#row'+row+'').remove();
    }

    function get_suppliers(row) {
        
        var select = $('#supplier'+row+'');
        var product = $('#item'+row+'');
        var product_id = product.val();
        //console.log(product_id);
        select.html('');
        select.append($("<option>").val(0).text('-'));

        setTimeout(function() {
            // ajax adding data to database
            $.ajax({
                url : "<?php echo url('stockshops/get_suppliers')?>" +'/'+ product_id,
                type: "POST",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                dataType: "JSON",
                success: function(data)
                {
                    $.each(data.suppliers, function(product_id, val) {
                        $.each(val, function(supplier_id, supplier_name) {
                            select.append($("<option>").val(supplier_id).text(supplier_name));
                        });
                    });
                },
                error: function (jqXHR, textStatus, errorThrown)
                {
                    // alert('Error adding / update data');
                    swal({   
                        title: "Kesalahan",   
                        text: "Maaf, terjadi kesalahan saat proses!",   
                        type: "warning", 
                        showConfirmButton: true
                    })
                }
            });

        },500);
    }

    function save()
    {
        var reloadUrl;
        swal({   
            title: "Anda yakin?",   
            text: "Pastikan semua data belanja telah dilengkapi",   
            type: "warning",   
            showCancelButton: true,   
            confirmButtonColor: "#DD6B55",   
            confirmButtonText: "Ya, saya yakin!",   
            cancelButtonText: "Batal",
            closeOnConfirm: false 
        }, function(){
            setTimeout(function() {
                // ajax adding data to database
                $.ajax({
                    url : "<?php echo url('stockshops/sync')?>",
                    type: "POST",
                    data: $('#addForm').serialize(),
                    dataType: "JSON",
                    success: function(data)
                    {
                        swal(data.title, data.message, data.type);
                        
                        setTimeout(function(){ 
                            reloadUrl = "<?php echo url('stockshops')?>";
                            window.location = reloadUrl; 
                        }, 1500);
                    },
                    error: function (jqXHR, textStatus, errorThrown)
                    {
                        // alert('Error adding / update data');
                        swal({   
                            title: "Mohon Tunggu..",   
                            text: "Data anda akan dikirim setelah anda kembali terkoneksi",
                            type: "warning", 
                            showConfirmButton: true
                        })
                    }
                });

            },1500);
        });
    }
</script>
@endsection
