@extends('templates.top')

@section('content')
<div class="container">
    <div class="card">
        <div class="card-header"> {{ $title }} </div>
        <div class="card-body">
            <button class="btn btn-primary" onclick="add_supplier()"><i class="fa fa-plus"></i> Tambah Supplier</button>
            <table id="supplierTable" class="table table-striped">
                <thead>
                        <td>#</td>
                        <td>Nama</td>
                        <td>No HP</td>
                        <td>Dibuat pada</td>
                        <td>Aksi</td>
                </thead>
                <tbody>
                    @foreach($suppliers as $supplier)
                    <tr>
                        <td>{{ $no[$supplier->id] }}</td>
                        <td>{{ $supplier->name }}</td>
                        <td>{{ $supplier->phone }}</td>
                        <td>{{ $supplier->created_at }}</td>
                        <td>
                            <a href="{{ url('suppliers/assign/' .$supplier->id) }}" class="btn btn-primary"><i class="fa fa-shopping-cart"></i> Produk</a>
                            <button onclick="edit_supplier({{$supplier->id}})" class="btn btn-success"><i class="fa fa-pencil"></i> Edit</button>
                            <button onclick="delete_supplier({{$supplier->id}})" class="btn btn-danger"><i class="fa fa-remove"></i> Hapus</button>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table> 
        </div>
    </div>
</div>

<!-- start modal content -->
<div id="modal_form" class="modal fade" supplier="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                </div>
                <div class="modal-body">
                    <div id="msg-container"></div>
                    <form action="#" id="form" class="form-horizontal">
                        @csrf
                        <input type="hidden" value="" name="supplierID">
                        <div class="form-body">
                            <div class="row">
                                    <div class="col-md-6">
                                            <div class="form-group">
                                                    <label for="suppliername" class="control-label">Nama Supplier: <span class="text-danger">*</span></label>
                                                    <input name="suppliername" type="text" class="form-control" id="suppliername">
                                                </div>
                                                <div class="form-group">
                                                        <label for="desc" class="control-label">Deskripsi: </label>
                                                        <textarea class="form-control" name="desc" id="desc" cols="20" rows="5"></textarea>
                                                </div>
                                                <div class="form-group">
                                                        <label for="address" class="control-label">Alamat: <span class="text-danger">*</span></label>
                                                        <textarea class="form-control" name="address" id="address" cols="20" rows="5"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label for="phone" class="control-label">No. Handphone: <span class="text-danger">*</span></label>
                                                    <input name="phone" type="text" class="form-control" id="phone">
                                            </div>
                                    </div>
                                    <div class="col-md-6">
                                            <div class="form-group">
                                                    <label for="email" class="control-label">E-mail: </label>
                                                    <input name="email" type="text" class="form-control" id="email">
                                                </div>
                                                <div class="form-group">
                                                    <label for="status" class="control-label">Status: <span class="text-danger">*</span></label>
                                                    <select class="form-control" name="status" id="status">
                                                        <option id="sts1" value="1">Aktif</option>
                                                        <option id="sts0" value="0">Non-Aktif</option>
                                                    </select>
                                                </div>
                                                <h3>Informasi Rekening</h3>
                                                <hr>
                                                <div class="form-group">
                                                    <label for="bank" class="control-label">Nama Bank: </label>
                                                    <input name="bank" type="text" class="form-control" id="bank">
                                                </div>
                                                <div class="form-group">
                                                    <label for="bankName" class="control-label">A.N Bank: </label>
                                                    <input name="bankName" type="text" class="form-control" id="bankName">
                                                </div>
                                                <div class="form-group">
                                                    <label for="bankRek" class="control-label">No. Rekening: </label>
                                                    <input name="bankRek" type="text" class="form-control" id="bankRek">
                                            </div>
                                    </div>    
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">Batal</button>
                    <button type="button" class="btn btn-danger waves-effect waves-light" id="btnSave" onclick="save()">Simpan</button>
                </div>
            </div>
        </div>
    </div>
    <!-- /.modal -->

<script>

    var save_method;
    var http_method;

    $(document).ready(function() {
        $('#supplierTable').DataTable({
            "aaSorting"     : []
        });
    });

    function add_supplier()
    {
        save_method = 'add';
      $('#form')[0].reset(); // reset form on modals
      $('#modal_form').modal('show'); // show bootstrap modal
      $('.modal-title').text('Tambah supplier'); // Set Title to Bootstrap modal title
    }

    function edit_supplier(id)
    {
      save_method = 'update';
      $('#form')[0].reset(); // reset form on modals

      //Ajax Load data from ajax
      $.ajax({
        url : "<?php echo url('suppliers/edit/')?>/" + id,
        type: "GET",
        dataType: "JSON",
        success: function(data)
        {

            $('[name="supplierID"]').val(data.id);
            $('[name="suppliername"]').val(data.name);
            $('[name="desc"]').val(data.description);
            $('[name="phone"]').val(data.phone);
            $('[name="email"]').val(data.email);
            $('[name="address"]').val(data.address);
            $('[name="bank"]').val(data.bank);
            $('[name="bankName"]').val(data.bankName);
            $('[name="bankRek"]').val(data.bankRek);
            $("#status option[value='"+data.status+"']").attr("selected","selected");

            $('#modal_form').modal('show'); // show bootstrap modal when complete loaded
            $('.modal-title').text('Edit supplier'); // Set title to Bootstrap modal title

        },
        error: function (jqXHR, textStatus, errorThrown)
        {
            // alert('Error get data from ajax');
            swal("Error!", "Maaf terjadi kesalahan.", "warning"); 
        }
      });
    }

    function save()
    {
      var url;
      if(save_method == 'add')
      {
        url = "<?php echo url('suppliers/store')?>";
        http_method = "POST";
      }
      else
      {
          supplierID = $('[name="supplierID"]').val();
        url = "<?php echo url('suppliers/update')?>"+'/'+supplierID;
        http_method = "PUT";
      }

      $('#modal_form').modal('hide');
      $('#loading').show();
      setTimeout(function() {
       // ajax adding data to database
        $.ajax({
            url : url,
            type: http_method,
            data: $('#form').serialize(),
            dataType: "JSON",
            success: function(data)
            {
              //if success close modal and reload ajax table
              
                if (data.st === 0) {
                  $('#msg-container').html("<div class='alert alert-danger'><button type='button' class='close' data-dismiss='alert' aria-label='Close'> <span aria-hidden='true'>×</span> </button><center><h3 class='text-danger'><i class='fa fa-exclamation-circle'></i> Danger</h3>"+data.msg+"</center></div>");
                  $('#modal_form').modal('show');
                  $('#loading').hide();
                } else {
                  $('#msg-container').html('');
                  $('#loading').hide();
                  swal("Success!", "Data berhasil disimpan!", "success");
 
                  setTimeout(function(){ 
                      location.reload(); 
                    }, 1000);
                }
            },
            error: function (jqXHR, textStatus, errorThrown)
            {
                // alert('Error adding / update data');
                swal({   
                    title: "Kesalahan",   
                    text: "Maaf, terjadi kesalahan saat proses!",   
                    type: "warning", 
                    showConfirmButton: true
                })
            }
        });

      },1500);
    }

    function delete_supplier(id)
    {
        swal({   
            title: "Anda yakin?",   
            text: "Anda tidak bisa mengembalikan data yang dihapus!",   
            type: "warning",   
            showCancelButton: true,   
            confirmButtonColor: "#DD6B55",   
            confirmButtonText: "Ya, hapus!",   
            cancelButtonText: "Batal",
            closeOnConfirm: false 
        }, function(){
            setTimeout(function() {
                $.ajax({
                    url : "<?php echo url('suppliers/delete')?>/"+id,
                    type: "DELETE",
                    data: $('#form').serialize(),
                    dataType: "JSON",
                    success: function(data)
                    {
                        if(data.status){
                            $('#modal_form').modal('hide');
                            swal("Deleted!", "Data telah dihapus!", "success");
                            setTimeout(function(){ 
                              location.reload(); 
                            }, 1000);
                        }else{
                            swal("Warning!", "Proses gagal!", "warning");
                        }
                    },
                    error: function (jqXHR, textStatus, errorThrown)
                    {
                        swal("Error!", "Maaf terjadi kesalahan.", "error"); 
                    }
                });
            },1100)
        });
    }
</script>
@endsection