<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16" href="{{ asset('assets/templates/material/images/favicon.png') }}">
    <title>KolaStore - Inventory Management System</title>
    <!-- Bootstrap Core CSS -->
    <link href="{{ asset('assets/templates/material/plugins/bootstrap/css/bootstrap.min.css') }}" rel="stylesheet">
    <!-- owl slider CSS -->
    <link href="{{asset('assets/templates/material/plugins/owl.carousel/owl.carousel.min.css')}}" rel="stylesheet">
    <link href="{{asset('assets/templates/material/plugins/owl.carousel/owl.theme.default.css')}}" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="{{ asset('assets/templates/material/landingpage/css/style.css') }}" rel="stylesheet">
    
    <!-- Properties for Apple Safari -->
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="apple-mobile-web-app-title" content="KolaStore">
    <link rel="apple-touch-icon" href="{{ asset('assets/img/icons/144x144.png') }}" sizes="144x144">

    <!-- Properties for MS Internet Explorer -->
    <meta name="msapplication-TileImage" content="">
    <meta name="msapplication-TileColor" content="#fff">
    <meta name="theme-color" content="#3f51b5">

    <link rel="manifest" href="{{ asset('manifest.json') }}">
    
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
</head>

<body class="fix-header">
    <!-- ============================================================== -->
    <!-- Preloader - style you can find in spinners.css -->
    <!-- ============================================================== -->
    <div class="preloader">
        <svg class="circular" viewBox="25 25 50 50">
            <circle class="path" cx="50" cy="50" r="20" fill="none" stroke-width="2" stroke-miterlimit="10" /> </svg>
    </div>
    <!-- ============================================================== -->
    <!-- Main wrapper - style you can find in pages.scss -->
    <!-- ============================================================== -->
    <div id="main-wrapper">
        <!-- ============================================================== -->
        <!-- Topbar header - style you can find in pages.scss -->
        <!-- ============================================================== -->
        <header class="topheader" id="top">
            @include('templates.partials-landingpage._header')
        </header>
        <!-- ============================================================== -->
        <!-- Page wrapper  -->
        <!-- ============================================================== -->
        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Container fluid  -->
            <!-- ============================================================== -->
            <div class="container-fluid">
                @yield('content')
            </div>
            <!-- ============================================================== -->
            <!-- End Container fluid  -->
            <!-- ============================================================== -->
        </div>
        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
    </div>
    <!-- ============================================================== -->
    <!-- End Wrapper -->
    <!-- ============================================================== -->
    <!-- Load Service Worker -->
    <script src="{{ asset('js/load-sw.js') }}"></script>
    <!-- ============================================================== -->
    <!-- All Jquery -->
    <!-- ============================================================== -->
    <script src="{{ asset('assets/templates/material/plugins/jquery/jquery.min.js') }}"></script>
    <script>
        $.fn.andSelf = function() {
          return this.addBack.apply(this, arguments);
        }
    </script>
    <!-- Bootstrap tether Core JavaScript -->
    <script src="{{ asset('assets/templates/material/plugins/popper/popper.min.js') }}"></script>
    <script src="{{ asset('assets/templates/material/plugins/bootstrap/js/bootstrap.min.js') }}"></script>
    <!--Wave Effects -->
    <script src="{{ asset('assets/templates/material/horizontal/js/waves.js') }}"></script>
    <!--stickey kit -->
    <script src="{{ asset('assets/templates/material/plugins/sticky-kit-master/dist/sticky-kit.min.js') }}"></script>
    <!-- jQuery for carousel -->
    <script src="{{asset('assets/templates/material/plugins/owl.carousel/owl.carousel.min.js')}}"></script>
    <!--Custom JavaScript -->
    <script src="{{ asset('assets/templates/material/landingpage/js/custom.min.js') }}"></script>
</body>

</html>