<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16" href="{{ asset('assets/templates/material/images/favicon.png') }}">
    <title>
        @if(isset($title))
            {{ $title }}
        @endif
    </title>
    <!-- Bootstrap Core CSS -->
    <link href="{{ asset('assets/templates/material/plugins/bootstrap/css/bootstrap.min.css') }}" rel="stylesheet">
    <link href="{{ asset('assets/templates/material/horizontal/scss/icons/font-awesome_old/css/font-awesome.min.css') }}" rel="stylesheet">
    <!-- Bootstrap Core CSS datepicker -->
    <link href="{{ asset('assets/templates/material/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet">

    <link href="{{ asset('assets/templates/material/plugins/select2/dist/css/select2.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('assets/templates/material/plugins/daterangepicker/daterangepicker.css') }}" rel="stylesheet" type="text/css" />

    <!-- Morris CSS -->
    <link href="{{ asset('assets/templates/material/plugins/morrisjs/morris.css') }}" rel="stylesheet">
    <!--This page css - Morris CSS -->
    <link href="{{ asset('assets/templates/material/plugins/c3-master/c3.min.css') }}" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="{{ asset('assets/templates/material/horizontal/css/style.css') }}" rel="stylesheet">
    <!-- You can change the theme colors from here -->
    <link href="{{ asset('assets/templates/material/horizontal/css/colors/blue.css') }}" id="theme" rel="stylesheet">
    <!-- Datatables -->
    <link rel="stylesheet" href="{{ asset('assets/templates/material/plugins/datatables/jquery.dataTables.min.css') }}">
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js') }}"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js') }}"></script>
    <![endif]-->
    <!-- toast CSS -->
    <link href="{{ asset('assets/templates/material/plugins/toast-master/css/jquery.toast.css') }}" rel="stylesheet">
    <!--alerts CSS -->
    <link href="{{ asset('assets/templates/material/plugins/sweetalert/sweetalert.css') }}" rel="stylesheet" type="text/css">

    <!-- Properties for Apple Safari -->
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="apple-mobile-web-app-title" content="KolaStore">
    <link rel="apple-touch-icon" href="{{ asset('assets/img/icons/144x144.png') }}" sizes="144x144">

    <!-- Properties for MS Internet Explorer -->
    <meta name="msapplication-TileImage" content="">
    <meta name="msapplication-TileColor" content="#fff">
    <meta name="theme-color" content="#3f51b5">

    <link rel="manifest" href="{{ asset('manifest.json') }}">
</head>

<body class="fix-header fix-sidebar card-no-border logo-center">
    <!-- ============================================================== -->
    <!-- Preloader - style you can find in spinners.css -->
    <!-- ============================================================== -->
    <div class="preloader">
        <svg class="circular" viewBox="25 25 50 50">
            <circle class="path" cx="50" cy="50" r="20" fill="none" stroke-width="2" stroke-miterlimit="10" /> </svg>
    </div>
    <!-- ============================================================== -->
    <!-- Main wrapper - style you can find in pages.scss -->
    <!-- ============================================================== -->
    <div id="main-wrapper">
        <!-- ============================================================== -->
        <!-- Topbar header - style you can find in pages.scss -->
        <!-- ============================================================== -->
        <header class="topbar">
           @include('templates.partials-top._header')
        </header>
        <!-- ============================================================== -->
        <!-- End Topbar header -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Left Sidebar - style you can find in sidebar.scss  -->
        <!-- ============================================================== -->
        <aside class="left-sidebar">
            @include('templates.partials-top._top-nav')
        </aside>
        <!-- ============================================================== -->
        <!-- End Left Sidebar - style you can find in sidebar.scss  -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Page wrapper  -->
        <!-- ============================================================== -->
        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Container fluid  -->
            <!-- ============================================================== -->
            <div class="container-fluid">
                <!-- ============================================================== -->
                <!-- Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <div class="row page-titles">
                    @include('templates.partials-top._breadcrumb')
                </div>
                <!-- ============================================================== -->
                <!-- End Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <!-- ============================================================== -->
                <!-- Start Page Content -->
                <!-- ============================================================== -->
                <!-- Row -->
                @yield('content')
                <!-- Row -->
                <!-- ============================================================== -->
                <!-- End PAge Content -->
                <!-- ============================================================== -->
                <!-- ============================================================== -->
            </div>
            <!-- ============================================================== -->
            <!-- End Container fluid  -->
            <!-- ============================================================== -->
            <!-- ============================================================== -->
            <!-- footer -->
            <!-- ============================================================== -->
            <footer class="footer"> © 2019 <a href="https://www.linkedin.com/in/syahrizafath/">Syahriza Fathurrahman </footer>
            <!-- ============================================================== -->
            <!-- End footer -->
            <!-- ============================================================== -->
        </div>
        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
    </div>
    <!-- ============================================================== -->
    <!-- End Wrapper -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Load Service Worker -->
    <script src="{{ asset('js/load-sw.js') }}"></script>
    <!-- All Jquery -->
    <!-- ============================================================== -->
    <script src="{{ asset('assets/templates/material/plugins/jquery/jquery.min.js') }}"></script>
    
    <script src="{{ asset('assets/templates/material/plugins/datatables/jquery.dataTables.min.js') }}"></script>
    <!-- Bootstrap tether Core JavaScript -->
    <script src="{{ asset('assets/templates/material/plugins/bootstrap/js/bootstrap.min.js') }}"></script>

    <!-- Date range picker -->
    <script src="{{ asset('assets/templates/material/plugins/daterangepicker/moment.min.js') }}"></script>
    <script src="{{ asset('assets/templates/material/plugins/daterangepicker/daterangepicker.js') }}"></script>

    <!-- slimscrollbar scrollbar JavaScript -->
    <script src="{{ asset('assets/templates/material/horizontal/js/jquery.slimscroll.js') }}"></script>
    <!--Wave Effects -->
    <script src="{{ asset('assets/templates/material/horizontal/js/waves.js') }}"></script>
    <!--Menu sidebar -->
    <script src="{{ asset('assets/templates/material/horizontal/js/sidebarmenu.js') }}"></script>
    <!--stickey kit -->
    <script src="{{ asset('assets/templates/material/plugins/sticky-kit-master/dist/sticky-kit.min.js') }}"></script>
    <script src="{{ asset('assets/templates/material/plugins/sparkline/jquery.sparkline.min.js') }}"></script>
    <!--Custom JavaScript -->
    <script src="{{ asset('assets/templates/material/horizontal/js/custom.min.js') }}"></script>
    <!-- ============================================================== -->
    <!-- This page plugins -->
    <script src="{{ asset('assets/templates/material/plugins/bootstrap-material-datetimepicker/js/bootstrap-material-datetimepicker.js') }}"></script>

    <!-- ============================================================== -->
    <!--Morris JavaScript -->
    <script src="{{ asset('assets/templates/material/plugins/raphael/raphael-min.js') }}"></script>
    <script src="{{ asset('assets/templates/material/plugins/morrisjs/morris.js') }}"></script>
    @stack('morris-script')
    <!--c3 JavaScript -->
    <script src="{{ asset('assets/templates/material/plugins/d3/d3.min.js') }}"></script>
    <script src="{{ asset('assets/templates/material/plugins/c3-master/c3.min.js') }}"></script>

    <!-- Sweet-Alert  -->
    <script src="{{ asset('assets/templates/material/plugins/sweetalert/sweetalert.min.js') }}"></script>
    <script src="{{ asset('assets/templates/material/plugins/sweetalert/jquery.sweet-alert.custom.js') }}"></script>
    <!-- ============================================================== -->
    <script src="{{ asset('assets/templates/material/plugins/toast-master/js/jquery.toast.js') }}"></script>
    <!-- ============================================================== -->

    <script src="{{ asset('assets/templates/material/plugins/select2/dist/js/select2.full.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('js/fetch.js') }}"></script>
    <script src="{{ asset('js/promise.js') }}"></script>
    <script src="{{ asset('js/app.js') }}"></script>
    @stack('deferredprompt')
    
    <script type="text/javascript">
        $(".select2").select2({
            width: 'element'
        });
        
        function toastr_info(title, msg) {
            $.toast({
                heading: title,
                text: msg,
                position: 'top-right',
                loaderBg:'#ff6849',
                icon: 'info',
                hideAfter: 3000, 
                stack: 6
            });
        }

        function toastr_warning(title, msg) {
            $.toast({
                heading: title,
                text: msg,
                position: 'top-right',
                loaderBg:'#ff6849',
                icon: 'warning',
                hideAfter: 3500, 
                stack: 6
            });
        }

        function toastr_success(title, msg) {
            $.toast({
                heading: title,
                text: msg,
                position: 'top-right',
                loaderBg:'#ff6849',
                icon: 'success',
                hideAfter: 3500, 
                stack: 6
            });
        }

        function toastr_danger(title, msg) {
            $.toast({
                heading: title,
                text: msg,
                position: 'top-right',
                loaderBg:'#ff6849',
                icon: 'error',
                hideAfter: 3500
                
            });
        }
    </script>
</body>

</html>
