@extends('templates.top')

@section('content')

<div class="container">
    <a class="btn btn-danger" href="{{ url('users') }}"><i class="fa fa-reply"></i> Kembali</a>
    <div class="card" style="margin-top: 20px;">
        <div class="card-header"> {{ $title }} </div>
        <div class="card-body">
            <input type="hidden" name="userID" id="userID" value="{{ $userID }}">
                <table id="roleAssignTable" class="table table-striped">
                    <thead>
                            <td>#</td>
                            <td>Nama</td>
                            <td>Deskripsi</td>
                            <td></td>
                    </thead>
                    <tbody>
                        @foreach($roles as $role)
                        <tr>
                            <td>{{ $no[$role->id] }}</td>
                            <td>{{ $role->display_name }}</td>
                            <td>{{ $role->description }}</td>
                            <td>
                                <div class="switch">
                                    <label>
                                        Off
                                        <input id="{{ $role->id }}" onchange="switchAct(this)" type="checkbox" {{$checkRole[$role->id]}}>
                                        <span class="lever"></span>
                                        On
                                    </label>
                                </div>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
        </div>
    </div>
</div>

<script>
    $(document).ready(function() {
        $('#roleAssignTable').DataTable({
            "aaSorting"     : []
        });
    });
    
    function switchAct(cbx) {
        userID = $('#userID').val();
        roleID = cbx.id;
        if (cbx.checked) {
            addrole(userID, roleID);
        } else {
            delrole(userID, roleID);
        }
    }

    function addrole(userID, roleID) {
        $.ajax({
            url : "<?php echo url('users/addRole')?>"+'/'+userID+'/'+roleID,
            type: "POST",
            data: {
                "_token": "{{ csrf_token() }}"
            },
            dataType: "json",
            success: function(json)
            {
                if (json.st === 0) {
                    toastr_gagal('Gagal!', json.msg);
                } else {
                    $('#msg-container').html('');
                    toastr_success('Sukses!', json.msg);
                }
            },
            error: function (jqXHR, textStatus, errorThrown)
            {
                alert('Error adding / update data');
            }
        });
    }

    function delrole(userID, roleID) {
        $.ajax({
            url : "<?php echo url('users/delRole')?>"+'/'+userID+'/'+roleID,
            type: "DELETE",
            data: {
                "_token": "{{ csrf_token() }}"
            },
            dataType: "json",
            success: function(json)
            {
                if (json.st === 0) {
                    toastr_gagal('Gagal!', json.msg);
                } else {
                    $('#msg-container').html('');
                    toastr_success('Sukses!', json.msg);
                }
            },
            error: function (jqXHR, textStatus, errorThrown)
            {
                alert('Error adding / update data');
            }
        });
    }
</script>
@endsection