@extends('templates.top')

@section('content')
<!-- Row -->
<div class="row">
        <div class="col-lg-12">
            <a href="{{ url('warehousereports/warehouseorders') }}" style="margin-bottom: 20px;" class="btn btn-danger"><i class="fa fa-reply"></i> Kembali</a>
            <div class="card card-outline-info">
                <div class="card-header text-white"><strong>{{ date('l, d-m-Y', strtotime($weeklybufferstock->used_date)) }}</strong></div>
                <div class="card-body">
                    <form id="addForm" action="">
                        @csrf
                        <input type="hidden" name="weeklybufferstock_id" value="{{ $weeklybufferstock->id }}">
                        <h4 class="card-title">Pengajuan Order Kebutuhan Gudang</h4>
                        <h6 class="card-subtitle">Daftar Produk pengajuan kebutuhan Gudang</h6>
                        <!-- Nav tabs -->
                        <ul class="nav nav-tabs" role="tablist">
                            @foreach($categories as $category)
                                <li class="nav-item"> <a class="nav-link" data-toggle="tab" href="#{{ str_replace(' ','-', $category->name) }}" role="tab"><span class="hidden-sm-up"><i class="ti-home"></i></span> <span class="hidden-xs-down">{{ $category->name }}</span></a> </li>
                            @endforeach
                        </ul>
                        <!-- Tab panes -->
                        <div class="tab-content tabcontent-border">
                            @foreach($categories as $category)
                                @if($category->id == $firstCategory->id)
                                    @php $active = 'active'  @endphp
                                @else
                                    @php $active = ''  @endphp
                                @endif
                                <div class="tab-pane {{ $active }}" id="{{ str_replace(' ','-', $category->name) }}" role="tabpanel">
                                    <div class="p-20">
                                        
                                        <table id="chooseTable{{ $category->id }}" class="table full-color-table full-info-table hover-table myTable text-center">
                                            <thead>
                                                <tr>
                                                    <th>Produk</th>
                                                    <th>Stok Minimal</th>
                                                    <th>Stok Gudang</th>
                                                    <th>Order</th>
                                                    <th>Unit</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach($category->products as $product)
                                                    <tr>
                                                        <td>{{ $product->name }}</td>
                                                        <td>
                                                            @if(isset($minimal[$product->id])) {{ $minimal[$product->id] }} @endif
                                                        </td>
                                                        <td>
                                                            @if(isset($taking[$product->id])) {{ $taking[$product->id] }} @endif
                                                        </td>
                                                        <td>
                                                            {{ isset($order[$product->id]) && $order[$product->id] > 0 ? $order[$product->id] : '-' }}
                                                        </td>
                                                        <td>{{ $product->unit }}</td>
                                                    </tr>
                                                @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            @endforeach
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->

<script>
    $( document ).ready(function() {
        $('.myTable').DataTable({
            "ordering": false
        });
    });
</script>
@endsection
