@extends('templates.top')

@section('content')
    <div class="row">
        <div class="col-md-12">
            <a href="{{ url('forms') }}" style="margin-bottom: 20px;" class="btn btn-danger"><i class="fa fa-reply"></i> Kembali</a>
            <div class="card">
                <div class="card-body">
                   <form action="{{ url('warehousereports/searchrecap') }}" method="POST" id="form">
                    @csrf
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="daterange">Tentukan Range Tanggal:</label>
                                    <input type="text" id="daterange" name="daterange" class="input-daterange-datepicker form-control">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="product_categories">Kategori Produk</label>
                                    <select name="product_categories" id="product_categories" class="form-control">
                                        <option value="all">Semua Kategori</option>
                                        @foreach($all_categories as $category)
                                            <option value="{{ $category->id }}">{{ $category->name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>
                        <input type="submit" class="btn btn-block btn-warning" value="Cari">
                    </form>
                    <a href="{{ url('warehousereports/excelrecap/' .$start_date. '/' .$end_date. '/' .$id) }}" class="btn btn-success" style="margin-top:20px;">
                        <i class="fa fa-file-excel-o"></i> Excel
                    </a>
                    <div class="table-responsive">
                        <table style="margin-top:20px;" id="recapTable" class="table full-color-table full-info-table hover-table text-center">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Produk</th>
                                    <th>Unit</th>
                                    <th>Saldo Awal</th>

                                    @foreach($dates as $date)
                                        <th colspan="3" class="text-center">{{ $date }}</th>
                                    @endforeach
                                    <th>Jumlah IN</th>
                                    <th>Jumlah OUT</th>
                                    <th>SO Akhir</th>
                                </tr>

                                <tr class="small">
                                    <th></th>
                                    <th></th>
                                    <th></th>
                                    <th></th>

                                    @foreach($dates as $date)
                                        <th width="25%">IN</th>
                                        <th>OUT</th>
                                        <th width="25%">SO</th>
                                    @endforeach

                                    <th></th>
                                    <th></th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($categories as $category)
                                <tr class="bg-success text-white"><td colspan="3">{{ $category->name }}</td></tr>
                                    @foreach($category->products as $product)
                                    <tr>
                                        <td>{{$product->id}}</td>
                                        <td>{{$product->name}}</td>
                                        <td>{{$product->unit}}</td>
                                        <td>
                                            {{ $qtyBalance[$product->id] }}
                                        </td>
                                        @foreach($dates as $date)
                                            <td>{{ $qtyIn[$product->id][$date] }}</td>
                                            <td>{{ $sumOut[$product->id][$date] }}</td>
                                            <td>{{ $qtyTaking[$product->id][$date] }}</td>
                                        @endforeach
                                        <td>{{ $totalIn[$product->id] }}</td>
                                        <td>{{ $totalOut[$product->id] }}</td>
                                        <td>{{ $totalTaking[$product->id] }}</td>
                                    </tr>
                                    @endforeach
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>

    <script>

    $( document ).ready(function() {
        // Daterange picker
        $('.input-daterange-datepicker').daterangepicker({
            buttonClasses: ['btn', 'btn-sm'],
            applyClass: 'btn-danger',
            cancelClass: 'btn-inverse',
            maxDate: "<?php echo date('d/M/Y',strtotime($today));?>",
            locale: {
                format: 'DD/MMM/YYYY'
            }
        });
    });

    </script>
@endsection
