@extends('templates.top')

@section('content')
<!-- Row -->
<div class="row">
        <div class="col-lg-12">
            <a href="{{ url('weeklybufferstocks') }}" style="margin-bottom: 20px;" class="btn btn-danger"><i class="fa fa-reply"></i> Kembali</a>
            <div class="card card-outline-info">
                <div class="card-header text-white"><strong>{{ date('l, d-m-Y', strtotime($weeklybufferstock->used_date)) }}</strong></div>
                <div class="card-body">
                    <form id="addForm" action="">
                        @csrf
                        <input type="hidden" name="weeklybufferstock_id" value="{{ $weeklybufferstock->id }}">
                        <h4 class="card-title">Tentukan Qty produk</h4>
                        <h6 class="card-subtitle">Pilih produk yang akan dimasukkan ke Stok Cadangan Mingguan</h6>
                        <!-- Nav tabs -->
                        <ul class="nav nav-tabs" role="tablist">
                            @foreach($categories as $category)
                                <li class="nav-item"> <a class="nav-link" data-toggle="tab" href="#{{ str_replace(' ','-', $category->name) }}" role="tab"><span class="hidden-sm-up"><i class="ti-home"></i></span> <span class="hidden-xs-down">{{ $category->name }}</span></a> </li>
                            @endforeach
                        </ul>
                        <!-- Tab panes -->
                        <div class="tab-content tabcontent-border">
                            @foreach($categories as $category)
                                @if($category->id == $firstCategory->id)
                                    @php $active = 'active'  @endphp
                                @else
                                    @php $active = ''  @endphp
                                @endif
                                <div class="tab-pane {{ $active }}" id="{{ str_replace(' ','-', $category->name) }}" role="tabpanel">
                                    <div class="p-20">
                                        
                                        <table id="chooseTable{{ $category->id }}" class="table full-color-table full-info-table hover-table myTable text-center">
                                            <thead>
                                                <tr>
                                                    <th>Produk</th>
                                                    <th>Proyeksi penjualan distribusi</th>
                                                    <th>Stock Gudang</th>
                                                    <th>Qty</th>
                                                    <th>Unit</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach($category->products as $product)
                                                    <tr>
                                                        <td width="30%">{{ $product->name }}</td>
                                                        <td width="25%">
                                                            <span class="label label-warning">
                                                                <strong>@if(isset($selling[$product->id])) {{ $selling[$product->id] }} @endif</strong>
                                                            </span>
                                                        </td>
                                                        <td width="25%">
                                                            <span class="label label-warning">
                                                                <strong>@if(isset($qtyTaking[$product->id])) {{ $qtyTaking[$product->id] }} @endif</strong>
                                                            </span>
                                                        </td>
                                                        <td width="20%">
                                                            <input name="qty[{{ $product->id }}]" id="qty[{{ $product->id }}]" 
                                                                                value="@if(isset($qtyProducts[$product->id])) {{ $qtyProducts[$product->id] }} @endif" 
                                                                                type="tel" class="form-control">
                                                        </td>
                                                        <td>{{ $product->unit }}</td>
                                                    </tr>
                                                @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            @endforeach
                        </div>
                    </form>
                    <button onclick="save()" style="margin-top: 20px;" class="btn btn-primary btn-block">Simpan</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->

<script>
    $( document ).ready(function() {
        $('.myTable').DataTable({
            "ordering": false
        });
    });

    function save()
    {
        swal({   
            title: "Anda yakin?",   
            text: "Pastikan semua Qty produk telah dilengkapi",   
            type: "warning",   
            showCancelButton: true,   
            confirmButtonColor: "#DD6B55",   
            confirmButtonText: "Ya, saya yakin!",   
            cancelButtonText: "Batal",
            closeOnConfirm: false 
        }, function(){
            setTimeout(function() {
                // ajax adding data to database
                $.ajax({
                    url : "<?php echo url('weeklybufferstocks/sync')?>",
                    type: "POST",
                    data: $('#addForm').serialize(),
                    dataType: "JSON",
                    success: function(data)
                    {
                        swal(data.title, data.msg, data.type);

                        setTimeout(function(){ 
                            reloadUrl = "<?php echo url('weeklybufferstocks')?>";
                            window.location = reloadUrl; 
                        }, 1500);
                    },
                    error: function (jqXHR, textStatus, errorThrown)
                    {
                        // alert('Error adding / update data');
                        swal({   
                            title: "Kesalahan",   
                            text: "Maaf, terjadi kesalahan saat proses!",   
                            type: "warning", 
                            showConfirmButton: true
                        })
                    }
                });

            },1500);
        });
    }
</script>
@endsection
